Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Adobe AIR Development

Reply
Contributor
Posts: 15
Registered: ‎05-10-2011
My Device: BlackBerry PlayBook
Accepted Solution

Unable to import qnx.*?

Hey, guys, I've tried looking through the forums and I can't find out how to correct this issue:

 

I have been trying to do an import of any of the qnx.* classes, and it can't find them.  Flash Builder 4.5 just says "import cannot be found."

 

What am I doing wrong?

Developer
Posts: 425
Registered: ‎03-17-2011
My Device: Developer

Re: Unable to import qnx.*?

This is the wrong place to ask this question. Someone in the developer forum will be happy to help you. 

_________________________
In the dark and need a sky map?
Discover What's up at App World.
Follow What's up on Facebook

Developer
Posts: 508
Registered: ‎01-19-2011
My Device: My Trusty Red Plane

Re: Unable to import qnx.*?

did you install the sdk onto Flash Builder? Also, which SDK are you using? (to see under Window -> Preferences -> Flash Builder -> Installed Flex SDK)

-----------------------------------------------------------------------
I'm a bird from outer space. But I'm not flappy o.o
Contributor
Posts: 15
Registered: ‎05-10-2011
My Device: BlackBerry PlayBook

Re: Unable to import qnx.*?

It's using Flex 4.5 SDK.

Developer
Posts: 508
Registered: ‎01-19-2011
My Device: My Trusty Red Plane

Re: Unable to import qnx.*?

it should display the classes then :/. elsewise, make sure you have the sdk installed (as before, Window->pref etc) and choose explicitly BlackBerry Tablet OS SDK 1.0.1 for Adobe Air

 

Troubleshooting:

-if it's not in the list, click add and go to the folder where you installed the BlackBerry SDK. If you installed it onto ypour FB installation, it should be under Adobe Flash Builder 4.5\sdks

-if you can't find it, try reinstalling

 

If that doesn't work, another idea: it could be that you can't use qnx.* because you're using FB 4.5 (and not FB 4 or FB Burrito). The RIM team made the sdk explicitely to work with the stable installation 4.0.x or Burrito beta only

-----------------------------------------------------------------------
I'm a bird from outer space. But I'm not flappy o.o
Contributor
Posts: 15
Registered: ‎05-10-2011
My Device: BlackBerry PlayBook

Re: Unable to import qnx.*?

Ah, that would explain why I'm suddenly getting a rollout problem with the application after changing the Flex compiler.  It's now unable to package Main-app.xml, saying that the content field is invalid.  I guess you live and learn.